org.apache.commons.jexl3.introspection

## Class JexlSandbox.Names

- java.lang.Object
- - org.apache.commons.jexl3.introspection.JexlSandbox.Names

- Direct Known Subclasses:
    JexlSandbox.BlackSet, JexlSandbox.WhiteSet
  Enclosing class:
    JexlSandbox

      public abstract static class JexlSandbox.Names
      extends Object

  A base set of names.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Names()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `add(String name)` Adds a name to this set.
    `boolean` | `alias(String name, String alias)` Adds an alias to a name to this set.
    `protected JexlSandbox.Names` | `copy()`
    `String` | `get(String name)` Whether a given name is allowed or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Names

          public Names()

  - ### Method Detail

    - #### add

          public abstract boolean add(String name)

      Adds a name to this set.
      Parameters:
        `name` - the name to add
      Returns:
        true if the name was really added, false if not

    - #### alias

          public boolean alias(String name,
                               String alias)

      Adds an alias to a name to this set.

      This only has an effect on allow lists.

      Parameters:
        `name` - the name to alias
        `alias` - the alias
      Returns:
        true if the alias was added, false if it was already present

    - #### get

          public String get(String name)

      Whether a given name is allowed or not.
      Parameters:
        `name` - the method/property name to check
      Returns:
        null (or NULL if name is null) if not allowed, the actual name to use otherwise

    - #### copy

          protected JexlSandbox.Names copy()

      Returns:
        a copy of these Names

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.